package cn.edu.whu.boot.message.bean;

import com.alibaba.fastjson.JSONObject;

public class Worker {

    private String name;
    private Position position;
    private String task;

    public Worker() {
    }

    public Worker(String name, Position position) {
        this.name = name;
        this.position = position;
    }

    public Worker(String name, Position position, String task) {
        this.name = name;
        this.position = position;
        this.task = task;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Position getPosition() {
        return position;
    }

    public void setPosition(Position position) {
        this.position = position;
    }

    public String getTask() {
        return task;
    }

    public void setTask(String task) {
        this.task = task;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
